#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N,temp[27];
    scanf("%d",&N);
    char a[N];
    scanf("%s",a);
    char tempe=a[0];
    if(a[0]!='A')
    {
        printf("0");
        return 0;
    }
    for(int i=0; i<27; i++)
    {
        temp[i]=0;
    }
    for(int i=1; i<N; i++)
    {
        if((int)a[i]!=(int)tempe && (int)a[i]!=(int)tempe+1)
        {
            a[i]='[';
        }
        else
        {
        tempe=a[i];
        }
    }
    for(int i=0; i<N; i++)
    {
        temp[(int)a[i]-65]++;
    }
    unsigned long long t = 1;
    for(int i=0; i<26; i++)
    {
        if(temp[i]!=0)
        {
            t*=temp[i];
        }
    }
    unsigned long long opa=t% 1000000007;
    printf("%ld",opa);
    return 0;

}